Permalink
Browse files

fix latest hiccup dependency issues

Signed-off-by: Chris Granger <ibdknox@gmail.com>
  • Loading branch information...
1 parent 9588637 commit ced3f8d3c812a4a823e24d16045226859fa4487a @ibdknox committed Mar 20, 2012
Showing with 8 additions and 7 deletions.
  1. +3 −2 README.md
  2. +1 −1 project.clj
  3. +1 −1 src/leiningen/new/cljs_template/common.clj
  4. +3 −3 src/leiningen/new/cljs_template/project.clj
View
@@ -2,16 +2,17 @@
A Leiningen template for Noir + ClojureScript projects.
+**NOTE** cljs-template >= 0.1.5 uses the latest hiccup. For old hiccup, use 0.1.4.
+
## Usage
You will need either lein2 or [lein-newnew](https://github.com/Raynes/lein-newnew)
```bash
-lein plugin install cljs-template 0.1.4
+lein plugin install cljs-template 0.1.5
lein new cljs-template my-awesome-project
lein run
```
-
You now have a complete ClojureScript app, nothing more needed :)
## License
View
@@ -1,4 +1,4 @@
-(defproject cljs-template "0.1.4"
+(defproject cljs-template "0.1.5"
:description "A lein-newnew template for clojurescript projects"
:url "http://github.com/ibdknox/cljs-template"
:eval-in-leiningen true
@@ -1,7 +1,7 @@
(ns {{name}}.views.common
(:require [noir.cljs.core :as cljs])
(:use [noir.core :only [defpartial]]
- [hiccup.page-helpers :only [include-css html5]]))
+ [hiccup.page :only [include-css html5]]))
(defpartial layout [& content]
(html5
@@ -2,10 +2,10 @@
:description "FIXME: write this!"
:url "http://exampl.com/FIXME"
:dependencies [[org.clojure/clojure "1.3.0"]
- [noir-cljs "0.2.5"]
+ [noir-cljs "0.3.0"]
[jayq "0.1.0-alpha1"]
[fetch "0.1.0-alpha2"]
- [crate "0.1.0-alpha2"]
- [noir "1.3.0-alpha10"]]
+ [crate "0.1.0-alpha3"]
+ [noir "1.3.0-beta2"]]
:cljsbuild {:builds [{}]}
:main ^{:skip-aot true} {{name}}.server)

0 comments on commit ced3f8d

Please sign in to comment.